<input type="hidden" id="res_count" value="<?= $this->count ?>" />

<div class="adds-container inner-section no-padding-mobile">
	<div class="adds-list view-list d-flex flex-row flex-fill flex-wrap justify-content-between justify-content-md-around justify-content-lg-start">
	<? if ( count($this->ads) ): ?>	
		<? foreach( $this->ads as $key => $ad ): ?>
		<div class="escort-item d-flex flex-fill full-add-trigger" data-id="<?= $ad->id ?>" data-slug="<?= $ad->slug ?>">
			<a class="modalCarousel-gallery-trigger">
				<div class="image-container desktop">
					<? if ( count($ad->images)): ?>
						<? foreach($ad->images as $image): ?>
							<? $img = new Cubix_ImagesCommonItem($image); ?>
							<div class="image" style="background-image: url('<?= $img->getUrl('cads_v3') ?>');"></div>
							<? break; ?>
						<? endforeach; ?>
					<? endif; ?>	

					<? if ( count($ad->images) ): ?>
						<? foreach($ad->images as $image): ?>
							<? $img = new Cubix_ImagesCommonItem($image); ?>
							<div class="image-src"  data-src='<?= $img->getUrl('orig') ?>'></div>
						<? endforeach; ?>
					<? endif; ?>	
				</div>
			</a>
			<div class="info-container">
				<div class="d-flex align-items-center">
					<div>
						<div class="info d-flex align-items-center desktop">
                            <?= __('id') ?>: #<?= $ad->id ?>
							<span class="point desktop"></span>  
							<?= date('d/m/y', strtotime($ad->approvation_date)); ?>  
							<span class="point desktop"></span>  
							<?= $ad->view_count ?> 
							<?= __('total_views') ?>
						</div>
						<div class="clear mb-30 desktop"></div>
						<div class="d-flex align-items-center">
							<div class="image-container mobile modalCarousel-gallery-trigger">
								<? if ( count($ad->images) ): ?>
									<? foreach($ad->images as $image): ?>
										<? $img = new Cubix_ImagesCommonItem($image); ?>
										<div class="image" style="background-image: url('<?= $img->getUrl('cads_v3') ?>');"></div>
										<? break; ?>
									<? endforeach; ?>
								<? endif; ?>

								<? if ( count($ad->images) ): ?>
									<? foreach($ad->images as $image): ?>
										<? $img = new Cubix_ImagesCommonItem($image); ?>
										<div class="image-src"  data-src='<?= $img->getUrl('orig') ?>'></div>
									<? endforeach; ?>
								<? endif; ?>
							</div>
							<div>
								<div class="ad-title d-flex align-items-center"><?= $ad->title ?></div>
								<div class="info mobile"><?= $ad->city_title ?>, <?= $ad->country_title ?></div>
								<div class="info mobile">Category: <?= $this->defines['classified_ad_categories_ed'][$ad->category_id] ?></div>
							</div>
						</div>
						<div class="info d-flex align-items-center desktop">
							<?= $ad->city_title ?>, <?= $ad->country_title ?> 
							<span class="point desktop"></span> 
							Category: <?= $this->defines['classified_ad_categories_ed'][$ad->category_id] ?>
						</div>
					</div>
				</div> 
				<div class="clear mb-20"></div>
				<div class="escort-details" data-id="<?= $ad->id ?>" data-slug="<?= $ad->slug ?>">
					<p><?= stripcslashes(_shorten(strip_tags($ad->text), 200)) ?></p>
				</div>
				<div class="clear mb-20"></div>
				<div class="d-flex align-items-center justify-content-between" >
					<div class="escorts-info desktop"></div>
					<div class="button-container desktop">
						<a href="#" class="uppercase" ><?= __('full_ad') ?></a>
					</div>
				</div>
			</div>
		</div>
		<div class="clear mb-30"></div>
		<? endforeach; ?>
	<? else: ?>
        <p class="text-grey"><?= __('no_ads_found') ?></p>
	<? endif; ?>
	</div>
</div>

<div class="inner-section">
	<div class="clear mb-40"></div>
	<div class="pagination-container d-flex justify-content-sm-center justify-content-md-between align-items-center">
		<? $pages_count = ceil($this->count / $this->per_page); ?>
		<? if ($pages_count > 1): ?>
		    <div class="pagination d-flex align-items-center">
                <? if($this->page > 1): ?>
		        <a class="first grey uppercase" onclick="Adds.set_filter({page: 1})"><?= __('first') ?></a>
                <? endif ?>

		        <? $pages = $this->paging($this->count, $this->page, $this->per_page, 4, 2); ?>
		        <? foreach ($pages as $page): ?>
                    <? if($page == 1 && $this->page > 1) continue ?>
		            <? if ($this->page == $page): ?>
		                <a class="page-number grey active"><?= $page ?></a>
		            <? else: ?>
		                <a class="page-number grey" onclick="Adds.set_filter({page: <?= $page ?>})"><?= $page ?></a>
		            <? endif; ?>
		        <? endforeach; ?>
		        <? if ($pages_count > 5 && $this->page < $pages_count-3): ?>
		            <span class="mx-2">...</span>
		            <a class="first page-number grey uppercase" onclick="Adds.set_filter({page: <?= $pages_count ?>})"><?=$pages_count ?></a>
		        <? endif; ?>
		    </div>
		    <? if($this->page < $pages_count): ?>
		    	<a class="btn btn-brown uppercase" onclick="Adds.set_filter({page: <?= $this->page + 1 ?>})" >Next page</a>
			<? endif; ?>
		    <div class="total-profiles uppercase"></div>
		<? else: ?>
		    <div class="no-paging"></div>
		<? endif; ?>
	</div>
</div>
